karaf-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From jbono...@apache.org
Subject svn commit: r1165220 - /karaf/trunk/assemblies/features/standard/src/main/feature/feature.xml
Date Mon, 05 Sep 2011 09:27:23 GMT
Author: jbonofre
Date: Mon Sep  5 09:27:23 2011
New Revision: 1165220

URL: http://svn.apache.org/viewvc?rev=1165220&view=rev
Log:
[KARAF-847] Fix version range in the spring-aspects feature.

Modified:
    karaf/trunk/assemblies/features/standard/src/main/feature/feature.xml

Modified: karaf/trunk/assemblies/features/standard/src/main/feature/feature.xml
URL: http://svn.apache.org/viewvc/karaf/trunk/assemblies/features/standard/src/main/feature/feature.xml?rev=1165220&r1=1165219&r2=1165220&view=diff
==============================================================================
--- karaf/trunk/assemblies/features/standard/src/main/feature/feature.xml (original)
+++ karaf/trunk/assemblies/features/standard/src/main/feature/feature.xml Mon Sep  5 09:27:23
2011
@@ -18,113 +18,113 @@
 -->
 <features name="org.apache.karaf.feature.standard-${project.version}" xmlns="http://karaf.apache.org/xmlns/features/v1.0.0">
     <feature name="org.apache.karaf.feature.standard.spring" version="${spring.version}"
resolver="(obr)">
-        <bundle dependency='true'>mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.aopalliance/${aopalliance.bundle.version}</bundle>
-        <bundle start-level='30'>mvn:org.springframework/spring-core/${spring.version}</bundle>
-        <bundle start-level='30'>mvn:org.springframework/spring-asm/${spring.version}</bundle>
-        <bundle start-level='30'>mvn:org.springframework/spring-expression/${spring.version}</bundle>
-        <bundle start-level='30'>mvn:org.springframework/spring-beans/${spring.version}</bundle>
-        <bundle start-level='30'>mvn:org.springframework/spring-aop/${spring.version}</bundle>
-        <bundle start-level='30'>mvn:org.springframework/spring-context/${spring.version}</bundle>
-        <bundle start-level='30'>mvn:org.springframework/spring-context-support/${spring.version}</bundle>
+        <bundle dependency="true" start-level="30">mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.aopalliance/${aopalliance.bundle.version}</bundle>
+        <bundle start-level="30">mvn:org.springframework/spring-core/${spring.version}</bundle>
+        <bundle start-level="30">mvn:org.springframework/spring-asm/${spring.version}</bundle>
+        <bundle start-level="30">mvn:org.springframework/spring-expression/${spring.version}</bundle>
+        <bundle start-level="30">mvn:org.springframework/spring-beans/${spring.version}</bundle>
+        <bundle start-level="30">mvn:org.springframework/spring-aop/${spring.version}</bundle>
+        <bundle start-level="30">mvn:org.springframework/spring-context/${spring.version}</bundle>
+        <bundle start-level="30">mvn:org.springframework/spring-context-support/${spring.version}</bundle>
     </feature>
     <feature name="org.apache.karaf.feature.standard.spring-aspects" version="${spring.version}"
resolver="(obr)">
-        <feature version="[2.5.6,4)">org.apache.karaf.feature.standard.spring</feature>
-        <bundle start-level='30'>mvn:org.springframework/spring-aspects/${spring.version}</bundle>
+        <feature version="${spring.version}">org.apache.karaf.feature.standard.spring</feature>
+        <bundle start-level="30">mvn:org.springframework/spring-aspects/${spring.version}</bundle>
     </feature>
     <feature name="org.apache.karaf.feature.standard.spring-dm" version="${spring.osgi.version}"
resolver="(obr)">
         <feature version="[2.5.6,4)">org.apache.karaf.feature.standard.spring</feature>
-        <bundle dependency='true' start-level='30'>mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.cglib/${cglib.bundle.version}</bundle>
-        <bundle start-level='30'>mvn:org.springframework.osgi/spring-osgi-io/${spring.osgi.version}</bundle>
-        <bundle start-level='30'>mvn:org.springframework.osgi/spring-osgi-core/${spring.osgi.version}</bundle>
-        <bundle start-level='30'>mvn:org.springframework.osgi/spring-osgi-extender/${spring.osgi.version}</bundle>
-        <bundle start-level='30'>mvn:org.springframework.osgi/spring-osgi-annotation/${spring.osgi.version}</bundle>
-        <bundle start-level='30'>mvn:org.apache.karaf.deployer/org.apache.karaf.deployer.spring/${project.version}</bundle>
+        <bundle dependency="true" start-level="30">mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.cglib/${cglib.bundle.version}</bundle>
+        <bundle start-level="30">mvn:org.springframework.osgi/spring-osgi-io/${spring.osgi.version}</bundle>
+        <bundle start-level="30">mvn:org.springframework.osgi/spring-osgi-core/${spring.osgi.version}</bundle>
+        <bundle start-level="30">mvn:org.springframework.osgi/spring-osgi-extender/${spring.osgi.version}</bundle>
+        <bundle start-level="30">mvn:org.springframework.osgi/spring-osgi-annotation/${spring.osgi.version}</bundle>
+        <bundle start-level="30">mvn:org.apache.karaf.deployer/org.apache.karaf.deployer.spring/${project.version}</bundle>
     </feature>
     <feature name="org.apache.karaf.feature.standard.spring-dm-web" version="${spring.osgi.version}"
resolver="(obr)">
     	<feature version="${spring.osgi.version}">org.apache.karaf.feature.standard.spring-dm</feature>
     	<feature version="[2.5.6,4)">org.apache.karaf.feature.standard.spring-web</feature>
     	<feature version="${project.version}">org.apache.karaf.feature.standard.http</feature>
-		<bundle start-level='30'>mvn:org.springframework.osgi/spring-osgi-web/${spring.osgi.version}</bundle>
+		<bundle start-level="30">mvn:org.springframework.osgi/spring-osgi-web/${spring.osgi.version}</bundle>
     </feature>
     <feature name="org.apache.karaf.feature.standard.spring-instrument" version="${spring.version}"
resolver="(obr)">
         <feature version="${spring.version}">org.apache.karaf.feature.standard.spring</feature>
-        <bundle start-level='30'>mvn:org.springframework/spring-instrument/${spring.version}</bundle>
+        <bundle start-level="30">mvn:org.springframework/spring-instrument/${spring.version}</bundle>
     </feature>
     <feature name="org.apache.karaf.feature.standard.spring-jdbc" version="${spring.version}"
resolver="(obr)">
         <feature version="${spring.version}">org.apache.karaf.feature.standard.spring-tx</feature>
-        <bundle start-level='30'>mvn:org.springframework/spring-jdbc/${spring.version}</bundle>
+        <bundle start-level="30">mvn:org.springframework/spring-jdbc/${spring.version}</bundle>
     </feature>
     <feature name="org.apache.karaf.feature.standard.spring-jms" version="${spring.version}"
resolver="(obr)">
         <feature version="${spring.version}">org.apache.karaf.feature.standard.spring-web</feature>
-        <bundle start-level='10'>mvn:org.apache.geronimo.specs/geronimo-jta_1.1_spec/${geronimo.jta-spec.version}</bundle>
-        <bundle start-level='10'>mvn:org.apache.geronimo.specs/geronimo-jms_1.1_spec/${geronimo.jms-spec.version}</bundle>
-        <bundle start-level='30'>mvn:org.springframework/spring-jms/${spring.version}</bundle>
-        <bundle start-level='30'>mvn:org.springframework/spring-tx/${spring.version}</bundle>
+        <bundle start-level="10">mvn:org.apache.geronimo.specs/geronimo-jta_1.1_spec/${geronimo.jta-spec.version}</bundle>
+        <bundle start-level="10">mvn:org.apache.geronimo.specs/geronimo-jms_1.1_spec/${geronimo.jms-spec.version}</bundle>
+        <bundle start-level="30">mvn:org.springframework/spring-jms/${spring.version}</bundle>
+        <bundle start-level="30">mvn:org.springframework/spring-tx/${spring.version}</bundle>
     </feature>
     <feature name="org.apache.karaf.feature.standard.spring-struts" version="${spring.version}"
resolver="(obr)">
         <feature version="${spring.version}">org.apache.karaf.feature.standard.spring-web</feature>
-        <bundle dependency='true' start-level='30'>mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.commons-beanutils/${commons-beanutils.bundle.version}</bundle>
-        <bundle start-level='30'>mvn:org.springframework/spring-struts/${spring.version}</bundle>
+        <bundle dependency="true" start-level="30">mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.commons-beanutils/${commons-beanutils.bundle.version}</bundle>
+        <bundle start-level="30">mvn:org.springframework/spring-struts/${spring.version}</bundle>
     </feature>
     <feature name="org.apache.karaf.feature.standard.spring-test" version="${spring.version}"
resolver="(obr)">
         <feature version="${spring.version}">org.apache.karaf.feature.standard.spring</feature>
-        <bundle start-level='30'>mvn:org.springframework/spring-test/${spring.version}</bundle>
+        <bundle start-level="30">mvn:org.springframework/spring-test/${spring.version}</bundle>
     </feature>
     <feature name="org.apache.karaf.feature.standard.spring-orm" version="${spring.version}"
resolver="(obr)">
         <feature version="${spring.version}">org.apache.karaf.feature.standard.spring-jdbc</feature>
-        <bundle start-level='30'>mvn:org.springframework/spring-orm/${spring.version}</bundle>
+        <bundle start-level="30">mvn:org.springframework/spring-orm/${spring.version}</bundle>
     </feature>
     <feature name="org.apache.karaf.feature.standard.spring-oxm" version="${spring.version}"
resolver="(obr)">
         <feature version="${spring.version}">org.apache.karaf.feature.standard.spring</feature>
-        <bundle start-level='30'>mvn:org.springframework/spring-oxm/${spring.version}</bundle>
+        <bundle start-level="30">mvn:org.springframework/spring-oxm/${spring.version}</bundle>
     </feature>
     <feature name="org.apache.karaf.feature.standard.spring-tx" version="${spring.version}"
resolver="(obr)">
         <feature version="${spring.version}">org.apache.karaf.feature.standard.spring</feature>
-        <bundle start-level='30'>mvn:org.springframework/spring-tx/${spring.version}</bundle>
+        <bundle start-level="30">mvn:org.springframework/spring-tx/${spring.version}</bundle>
     </feature>
     <feature name="org.apache.karaf.feature.standard.spring-web" version="${spring.version}"
resolver="(obr)">
     	<feature version="${spring.version}">org.apache.karaf.feature.standard.spring</feature>
     	<feature version="${project.version}">org.apache.karaf.feature.standard.http</feature>
-    	<bundle start-level='30'>mvn:org.springframework/spring-web/${spring.version}</bundle>
-		<bundle start-level='30'>mvn:org.springframework/spring-webmvc/${spring.version}</bundle>
+    	<bundle start-level="30">mvn:org.springframework/spring-web/${spring.version}</bundle>
+		<bundle start-level="30">mvn:org.springframework/spring-webmvc/${spring.version}</bundle>
     </feature>
     <feature name="org.apache.karaf.feature.standard.spring-web-portlet" version="${spring.version}"
resolver="(obr)">
         <feature version="${spring.version}">org.apache.karaf.feature.standard.spring-web</feature>
-        <bundle start-level='30'>mvn:org.springframework/spring-webmvc-portlet/${spring.version}</bundle>
+        <bundle start-level="30">mvn:org.springframework/spring-webmvc-portlet/${spring.version}</bundle>
     </feature>
     <feature name="org.apache.karaf.feature.standard.wrapper" version="${project.version}">
-        <bundle start-level='30'>mvn:org.apache.karaf.shell/org.apache.karaf.shell.wrapper/${project.version}</bundle>
+        <bundle start-level="30">mvn:org.apache.karaf.shell/org.apache.karaf.shell.wrapper/${project.version}</bundle>
     </feature>
     <feature name="org.apache.karaf.feature.standard.obr" version="${project.version}">
-        <bundle start-level='30'>mvn:org.apache.felix/org.osgi.service.obr/${felix.obr.version}</bundle>
-        <bundle start-level='30'>mvn:org.apache.felix/org.apache.felix.bundlerepository/${felix.bundlerepository.version}</bundle>
-        <bundle start-level='30'>mvn:org.apache.karaf.shell/org.apache.karaf.shell.obr/${project.version}</bundle>
-        <bundle start-level='30'>mvn:org.apache.karaf.features/org.apache.karaf.features.obr/${project.version}</bundle>
-        <bundle start-level='30'>mvn:org.ops4j.pax.url/pax-url-obr/${pax.url.version}</bundle>
+        <bundle start-level="30">mvn:org.apache.felix/org.osgi.service.obr/${felix.obr.version}</bundle>
+        <bundle start-level="30">mvn:org.apache.felix/org.apache.felix.bundlerepository/${felix.bundlerepository.version}</bundle>
+        <bundle start-level="30">mvn:org.apache.karaf.shell/org.apache.karaf.shell.obr/${project.version}</bundle>
+        <bundle start-level="30">mvn:org.apache.karaf.features/org.apache.karaf.features.obr/${project.version}</bundle>
+        <bundle start-level="30">mvn:org.ops4j.pax.url/pax-url-obr/${pax.url.version}</bundle>
     </feature>
     <feature name="org.apache.karaf.feature.standard.config" version="${project.version}">
-        <bundle start-level='30' start='true'>mvn:org.apache.karaf.shell/org.apache.karaf.shell.config/${project.version}</bundle>
+        <bundle start-level="30" start="true">mvn:org.apache.karaf.shell/org.apache.karaf.shell.config/${project.version}</bundle>
     </feature>
     <feature name="org.apache.karaf.feature.standard.jetty" version="${jetty.version}"
resolver="(obr)">
-        <bundle dependency='true' start-level='30'>mvn:org.apache.geronimo.specs/geronimo-activation_1.1_spec/${geronimo.activation.version}</bundle>
-        <bundle dependency='true' start-level='30'>mvn:org.apache.geronimo.specs/geronimo-servlet_2.5_spec/${geronimo.servlet.version}</bundle>
-        <bundle dependency='true' start-level='30'>mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.asm/${asm.bundle.version}</bundle>
-        <bundle dependency='true' start-level='30'>mvn:javax.mail/mail/${javax.mail.version}</bundle>
-        <bundle dependency='true' start-level='30'>mvn:org.apache.geronimo.specs/geronimo-jta_1.1_spec/${geronimo.jta-spec.version}</bundle>
-        <bundle start-level='30'>mvn:org.eclipse.jetty/jetty-util/${jetty.version}</bundle>
-        <bundle start-level='30'>mvn:org.eclipse.jetty/jetty-io/${jetty.version}</bundle>
-        <bundle start-level='30'>mvn:org.eclipse.jetty/jetty-http/${jetty.version}</bundle>
-        <bundle start-level='30'>mvn:org.eclipse.jetty/jetty-client/${jetty.version}</bundle>
-        <bundle start-level='30'>mvn:org.eclipse.jetty/jetty-continuation/${jetty.version}</bundle>
-        <bundle start-level='30'>mvn:org.eclipse.jetty/jetty-jmx/${jetty.version}</bundle>
-        <bundle start-level='30'>mvn:org.eclipse.jetty/jetty-server/${jetty.version}</bundle>
-        <bundle start-level='30'>mvn:org.eclipse.jetty/jetty-security/${jetty.version}</bundle>
-        <bundle start-level='30'>mvn:org.eclipse.jetty/jetty-servlet/${jetty.version}</bundle>
-        <bundle start-level='30'>mvn:org.eclipse.jetty/jetty-servlets/${jetty.version}</bundle>
-        <bundle start-level='30'>mvn:org.eclipse.jetty/jetty-xml/${jetty.version}</bundle>
-        <bundle start-level='30'>mvn:org.eclipse.jetty/jetty-webapp/${jetty.version}</bundle>
-        <bundle start-level='30'>mvn:org.eclipse.jetty/jetty-jndi/${jetty.version}</bundle>
-        <bundle start-level='30'>mvn:org.eclipse.jetty/jetty-plus/${jetty.version}</bundle>
+        <bundle dependency="true" start-level="30">mvn:org.apache.geronimo.specs/geronimo-activation_1.1_spec/${geronimo.activation.version}</bundle>
+        <bundle dependency="true" start-level="30">mvn:org.apache.geronimo.specs/geronimo-servlet_2.5_spec/${geronimo.servlet.version}</bundle>
+        <bundle dependency="true" start-level="30">mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.asm/${asm.bundle.version}</bundle>
+        <bundle dependency="true" start-level="30">mvn:javax.mail/mail/${javax.mail.version}</bundle>
+        <bundle dependency="true" start-level="30">mvn:org.apache.geronimo.specs/geronimo-jta_1.1_spec/${geronimo.jta-spec.version}</bundle>
+        <bundle start-level="30">mvn:org.eclipse.jetty/jetty-util/${jetty.version}</bundle>
+        <bundle start-level="30">mvn:org.eclipse.jetty/jetty-io/${jetty.version}</bundle>
+        <bundle start-level="30">mvn:org.eclipse.jetty/jetty-http/${jetty.version}</bundle>
+        <bundle start-level="30">mvn:org.eclipse.jetty/jetty-client/${jetty.version}</bundle>
+        <bundle start-level="30">mvn:org.eclipse.jetty/jetty-continuation/${jetty.version}</bundle>
+        <bundle start-level="30">mvn:org.eclipse.jetty/jetty-jmx/${jetty.version}</bundle>
+        <bundle start-level="30">mvn:org.eclipse.jetty/jetty-server/${jetty.version}</bundle>
+        <bundle start-level="30">mvn:org.eclipse.jetty/jetty-security/${jetty.version}</bundle>
+        <bundle start-level="30">mvn:org.eclipse.jetty/jetty-servlet/${jetty.version}</bundle>
+        <bundle start-level="30">mvn:org.eclipse.jetty/jetty-servlets/${jetty.version}</bundle>
+        <bundle start-level="30">mvn:org.eclipse.jetty/jetty-xml/${jetty.version}</bundle>
+        <bundle start-level="30">mvn:org.eclipse.jetty/jetty-webapp/${jetty.version}</bundle>
+        <bundle start-level="30">mvn:org.eclipse.jetty/jetty-jndi/${jetty.version}</bundle>
+        <bundle start-level="30">mvn:org.eclipse.jetty/jetty-plus/${jetty.version}</bundle>
     </feature>
     <feature name="org.apache.karaf.feature.standard.http" version="${project.version}"
resolver="(obr)" description="Implementation of the OSGI HTTP Service">
           <details>Allows to publish servlets using pax web and jetty</details>
@@ -135,46 +135,46 @@
             org.ops4j.pax.web.config.file=${karaf.base}/etc/jetty.xml
         </config>
         <feature version="[7.0,8.0)">org.apache.karaf.feature.standard.jetty</feature>
-    	<bundle start-level='30'>mvn:org.ops4j.pax.web/pax-web-api/${pax.web.version}</bundle>
-        <bundle start-level='30'>mvn:org.ops4j.pax.web/pax-web-spi/${pax.web.version}</bundle>
-        <bundle start-level='30'>mvn:org.ops4j.pax.web/pax-web-runtime/${pax.web.version}</bundle>
-        <bundle start-level='30'>mvn:org.ops4j.pax.web/pax-web-jetty/${pax.web.version}</bundle>
+    	<bundle start-level="30">mvn:org.ops4j.pax.web/pax-web-api/${pax.web.version}</bundle>
+        <bundle start-level="30">mvn:org.ops4j.pax.web/pax-web-spi/${pax.web.version}</bundle>
+        <bundle start-level="30">mvn:org.ops4j.pax.web/pax-web-runtime/${pax.web.version}</bundle>
+        <bundle start-level="30">mvn:org.ops4j.pax.web/pax-web-jetty/${pax.web.version}</bundle>
         <bundle start-level="30">mvn:org.apache.karaf.shell/org.apache.karaf.shell.http/${project.version}</bundle>
     </feature>
     <feature name="org.apache.karaf.feature.standard.http-whiteboard" version="${project.version}"
resolver="(obr)">
         <feature>org.apache.karaf.feature.standard.http</feature>
-        <bundle start-level='30'>mvn:org.ops4j.pax.web/pax-web-jsp/${pax.web.version}</bundle>
-        <bundle start-level='30'>mvn:org.ops4j.pax.web/pax-web-extender-whiteboard/${pax.web.version}</bundle>
+        <bundle start-level="30">mvn:org.ops4j.pax.web/pax-web-jsp/${pax.web.version}</bundle>
+        <bundle start-level="30">mvn:org.ops4j.pax.web/pax-web-extender-whiteboard/${pax.web.version}</bundle>
     </feature>
     <feature name="org.apache.karaf.feature.standard.war" version="${project.version}"
resolver="(obr)">
         <config name="org.ops4j.pax.url.war">
             org.ops4j.pax.url.war.importPaxLoggingPackages=true
         </config>
         <feature>org.apache.karaf.feature.standard.http-whiteboard</feature>
-        <bundle start-level='30'>mvn:org.apache.karaf.shell/org.apache.karaf.shell.web/${project.version}</bundle>
-        <bundle start-level='30'>mvn:org.ops4j.pax.web/pax-web-extender-war/${pax.web.version}</bundle>
-        <bundle start-level='30'>mvn:org.ops4j.pax.web/pax-web-deployer/${pax.web.version}</bundle>
-        <bundle start-level='30'>mvn:org.ops4j.pax.url/pax-url-war/${pax.url.version}</bundle>
+        <bundle start-level="30">mvn:org.apache.karaf.shell/org.apache.karaf.shell.web/${project.version}</bundle>
+        <bundle start-level="30">mvn:org.ops4j.pax.web/pax-web-extender-war/${pax.web.version}</bundle>
+        <bundle start-level="30">mvn:org.ops4j.pax.web/pax-web-deployer/${pax.web.version}</bundle>
+        <bundle start-level="30">mvn:org.ops4j.pax.url/pax-url-war/${pax.url.version}</bundle>
     </feature>
     <feature name="org.apache.karaf.feature.standard.kar" version="${project.version}">
-        <bundle start-level='30'>mvn:org.apache.karaf.deployer/org.apache.karaf.deployer.kar/${project.version}</bundle>
+        <bundle start-level="30">mvn:org.apache.karaf.deployer/org.apache.karaf.deployer.kar/${project.version}</bundle>
     </feature>
     <feature name="org.apache.karaf.feature.standard.webconsole-base" version="${project.version}">
         <config name="org.apache.karaf.webconsole">
             realm=karaf
         </config>
         <feature version="${project.version}">org.apache.karaf.feature.standard.http</feature>
-        <bundle start-level='30'>mvn:org.apache.felix/org.apache.felix.metatype/${felix.metatype.version}</bundle>
-        <bundle start-level='30'>mvn:org.apache.karaf.webconsole/org.apache.karaf.webconsole.branding/${project.version}</bundle>
-        <bundle start-level='30'>mvn:org.apache.karaf.webconsole/org.apache.karaf.webconsole.console/${project.version}</bundle>
+        <bundle start-level="30">mvn:org.apache.felix/org.apache.felix.metatype/${felix.metatype.version}</bundle>
+        <bundle start-level="30">mvn:org.apache.karaf.webconsole/org.apache.karaf.webconsole.branding/${project.version}</bundle>
+        <bundle start-level="30">mvn:org.apache.karaf.webconsole/org.apache.karaf.webconsole.console/${project.version}</bundle>
     </feature>
     <feature name="org.apache.karaf.feature.standard.webconsole" version="${project.version}">
         <feature version="${project.version}">org.apache.karaf.feature.standard.webconsole-base</feature>
-        <bundle start-level='30'>mvn:org.apache.karaf.webconsole/org.apache.karaf.webconsole.admin/${project.version}</bundle>
-        <bundle start-level='30'>mvn:org.apache.karaf.webconsole/org.apache.karaf.webconsole.features/${project.version}</bundle>
-        <bundle start-level='30'>mvn:org.apache.karaf.webconsole/org.apache.karaf.webconsole.gogo/${project.version}</bundle>
-        <bundle start-level='30'>mvn:org.apache.karaf.webconsole/org.apache.karaf.webconsole.http/${project.version}</bundle>
-		<bundle start-level='30'>mvn:org.apache.felix/org.apache.felix.webconsole.plugins.event/${felix.eventadmin-plugin.version}</bundle>
+        <bundle start-level="30">mvn:org.apache.karaf.webconsole/org.apache.karaf.webconsole.admin/${project.version}</bundle>
+        <bundle start-level="30">mvn:org.apache.karaf.webconsole/org.apache.karaf.webconsole.features/${project.version}</bundle>
+        <bundle start-level="30">mvn:org.apache.karaf.webconsole/org.apache.karaf.webconsole.gogo/${project.version}</bundle>
+        <bundle start-level="30">mvn:org.apache.karaf.webconsole/org.apache.karaf.webconsole.http/${project.version}</bundle>
+		<bundle start-level="30">mvn:org.apache.felix/org.apache.felix.webconsole.plugins.event/${felix.eventadmin-plugin.version}</bundle>
     </feature>
     <feature name="org.apache.karaf.feature.standard.ssh" version="${project.version}">
         <config name="org.apache.karaf.shell">
@@ -183,25 +183,25 @@
             sshRealm=karaf
             hostKey=${karaf.base}/etc/host.key
         </config>
-        <bundle start-level='30'>mvn:org.apache.mina/mina-core/${mina.version}</bundle>
-        <bundle start-level='30'>mvn:org.apache.sshd/sshd-core/${sshd.version}</bundle>
-        <bundle start-level='30'>mvn:org.apache.karaf.shell/org.apache.karaf.shell.ssh/${project.version}</bundle>
+        <bundle start-level="30">mvn:org.apache.mina/mina-core/${mina.version}</bundle>
+        <bundle start-level="30">mvn:org.apache.sshd/sshd-core/${sshd.version}</bundle>
+        <bundle start-level="30">mvn:org.apache.karaf.shell/org.apache.karaf.shell.ssh/${project.version}</bundle>
     </feature>
     <feature name="org.apache.karaf.feature.standard.management" version="${project.version}">
-        <bundle start-level='30'>mvn:org.apache.karaf/org.apache.karaf.management/${project.version}</bundle>
-        <bundle start-level='30'>mvn:org.apache.aries.jmx/org.apache.aries.jmx/${aries.jmx.version}</bundle>
-        <bundle start-level='30'>mvn:org.apache.aries.jmx/org.apache.aries.jmx.blueprint/${aries.jmx.version}</bundle>
+        <bundle start-level="30">mvn:org.apache.karaf/org.apache.karaf.management/${project.version}</bundle>
+        <bundle start-level="30">mvn:org.apache.aries.jmx/org.apache.aries.jmx/${aries.jmx.version}</bundle>
+        <bundle start-level="30">mvn:org.apache.aries.jmx/org.apache.aries.jmx.blueprint/${aries.jmx.version}</bundle>
     </feature>
     <feature name="org.apache.karaf.feature.standard.scheduler" version="${project.version}">
-        <bundle start-level='30'>mvn:org.apache.karaf.scheduler/org.apache.karaf.scheduler.core/${project.version}</bundle>
+        <bundle start-level="30">mvn:org.apache.karaf.scheduler/org.apache.karaf.scheduler.core/${project.version}</bundle>
     </feature>
     <feature name="org.apache.karaf.feature.standard.eventadmin" version="${project.version}">
-		<bundle start-level='30'>mvn:org.apache.felix/org.apache.felix.eventadmin/${felix.eventadmin.version}</bundle>
+		<bundle start-level="30">mvn:org.apache.felix/org.apache.felix.eventadmin/${felix.eventadmin.version}</bundle>
     </feature>
     <feature name="org.apache.karaf.feature.standard.jasypt-encryption" version="${project.version}"
resolver="(obr)">
-        <bundle dependency='true' start-level='30'>mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.commons-codec/${commons-codec.bundle.version}</bundle>
-        <bundle dependency='true' start-level='30'>mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.commons-lang/${commons-lang.bundle.version}</bundle>
-        <bundle dependency='true' start-level='30'>mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.jasypt/${jasypt.bundle.version}</bundle>
-        <bundle start-level='30'>mvn:org.apache.karaf.jaas/org.apache.karaf.jaas.jasypt/${project.version}</bundle>
+        <bundle dependency="true" start-level="30">mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.commons-codec/${commons-codec.bundle.version}</bundle>
+        <bundle dependency="true" start-level="30">mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.commons-lang/${commons-lang.bundle.version}</bundle>
+        <bundle dependency="true" start-level="30">mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.jasypt/${jasypt.bundle.version}</bundle>
+        <bundle start-level="30">mvn:org.apache.karaf.jaas/org.apache.karaf.jaas.jasypt/${project.version}</bundle>
     </feature>
 </features>



Mime
View raw message